## org.eclipse.uml2.uml
Interface Node

All Superinterfaces:
  BehavioredClassifier, Class, Classifier, DeploymentTarget, Element, org.eclipse.emf.ecore.EModelElement, EncapsulatedClassifier, org.eclipse.emf.ecore.EObject, NamedElement, Namespace, org.eclipse.emf.common.notify.Notifier, PackageableElement, ParameterableElement, RedefinableElement, StructuredClassifier, TemplateableElement, Type

All Known Subinterfaces:
  Device, ExecutionEnvironment

    public interface Node

extends Class, DeploymentTarget

A representation of the model object 'Node'. A node is computational resource upon which artifacts may be deployed for execution. Nodes can be interconnected through communication paths to define network structures.

The following features are supported:

- `Nested Node`

See Also:
  `UMLPackage.getNode()`

Method Summary

`CommunicationPath`

`createCommunicationPath(boolean end1IsNavigable, AggregationKind end1Aggregation, java.lang.String end1Name, int end1Lower, int end1Upper, Node end1Node, boolean end2IsNavigable, AggregationKind end2Aggregation, java.lang.String end2Name, int end2Lower, int end2Upper)`
Creates a (binary) communication path between this node and the specified other node, with the specified navigabilities, aggregations, names, lower bounds, and upper bounds, and owned by this node's nearest package.

`Node` `createNestedNode(java.lang.String name)` Creates a new `Node`, with the specified 'Name', and appends it to the 'Nested Node' containment reference list
`Node` `createNestedNode(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Node`, with the specified 'Name', and appends it to the 'Nested Node' containment reference list
`org.eclipse.emf.common.util.EList<CommunicationPath>` `getCommunicationPaths()` Retrieves the communication paths in which this node is involved
`Node` `getNestedNode(java.lang.String name)` Retrieves the first `Node` with the specified 'Name' from the 'Nested Node' containment reference list
`Node` `getNestedNode(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `Node` with the specified 'Name' from the 'Nested Node' containment reference list
`org.eclipse.emf.common.util.EList<Node>` `getNestedNodes()` Returns the value of the 'Nested Node' containment reference list.
`boolean` `validateInternalStructure(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The internal structure of a Node (if defined) consists solely of parts of type Node.

Methods inherited from interface org.eclipse.uml2.uml.Class

`createNestedClassifier, createOwnedOperation, createOwnedOperation, createOwnedReception, getExtension, getExtension, getExtensions, getNestedClassifier, getNestedClassifier, getNestedClassifiers, getOwnedOperation, getOwnedOperation, getOwnedOperations, getOwnedReception, getOwnedReception, getOwnedReceptions, getSuperClass, getSuperClass, getSuperClasses, isActive, isMetaclass, setIsActive, validatePassiveClass`

Methods inherited from interface org.eclipse.uml2.uml.EncapsulatedClassifier
`createOwnedPort, getOwnedPort, getOwnedPort, getOwnedPorts`

Methods inherited from interface org.eclipse.uml2.uml.StructuredClassifier
`createOwnedAttribute, createOwnedAttribute, createOwnedAttribute, createOwnedConnector, getOwnedAttribute, getOwnedAttribute, getOwnedAttributes, getOwnedConnector, getOwnedConnector, getOwnedConnectors, getPart, getPart, getParts, getRole, getRole, getRoles, validateMultiplicities`

Methods inherited from interface org.eclipse.uml2.uml.Classifier

`allFeatures, allParents, conformsTo, createCollaborationUse, createGeneralization, createOwnedUseCase, createRepresentation, createSubstitution, getAllAttributes, getAllOperations, getAllUsedInterfaces, getAttribute, getAttribute, getAttributes, getCollaborationUse, getCollaborationUse, getCollaborationUses, getFeature, getFeature, getFeatures, getGeneral, getGeneral, getGeneralization, getGeneralization, getGeneralizations, getGenerals, getInheritedMember, getInheritedMember, getInheritedMembers, getOperation, getOperation, getOperations, getOwnedUseCase, getOwnedUseCase, getOwnedUseCases, getPowertypeExtent, getPowertypeExtent, getPowertypeExtents, getRedefinedClassifier, getRedefinedClassifier, getRedefinedClassifiers, getRepresentation, getSubstitution, getSubstitution, getSubstitutions, getUseCase, getUseCase, getUseCases, getUsedInterfaces, hasVisibilityOf, inherit, inheritableMembers, isAbstract, maySpecializeType, parents, setIsAbstract, setRepresentation, validateGeneralizationHierarchies, validateMapsToGeneralizationSet, validateNoCyclesInGeneralization, validateSpecializeType`

Methods inherited from interface org.eclipse.uml2.uml.Namespace

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getMembers, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedMembers, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.Type
`conformsTo, createAssociation, getAssociations, getPackage, setPackage`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TemplateableElement
`createOwnedTemplateSignature, createOwnedTemplateSignature, createTemplateBinding, getOwnedTemplateSignature, getTemplateBinding, getTemplateBinding, getTemplateBindings, isTemplate, parameterableElements, setOwnedTemplateSignature`

Methods inherited from interface org.eclipse.uml2.uml.BehavioredClassifier

`createClassifierBehavior, createInterfaceRealization, createOwnedBehavior, createOwnedTrigger, getAllImplementedInterfaces, getClassifierBehavior, getImplementedInterfaces, getInterfaceRealization, getInterfaceRealization, getInterfaceRealizations, getOwnedBehavior, getOwnedBehavior, getOwnedBehaviors, getOwnedTrigger, getOwnedTrigger, getOwnedTriggers, setClassifierBehavior, validateClassBehavior`

Methods inherited from interface org.eclipse.uml2.uml.DeploymentTarget
`createDeployment, getDeployedElement, getDeployedElement, getDeployedElements, getDeployment, getDeployment, getDeployments`

Method Detail

### getNestedNodes

    org.eclipse.emf.common.util.EList<Node> getNestedNodes()

  Returns the value of the 'Nested Node' containment reference list. The list contents are of type `Node`.

  This feature subsets the following features:

  - '`Owned Member`'
  The Nodes that are defined (nested) within the Node.

  Returns:
    the value of the 'Nested Node' containment reference list.
  See Also:
    `UMLPackage.getNode_NestedNode()`

### createNestedNode

    Node createNestedNode(java.lang.String name,
                          org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Node`, with the specified 'Name', and appends it to the 'Nested Node' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Node`, or `null`.
    `eClass` - The Ecore class of the `Node` to create.
  Returns:
    The new `Node`.
  See Also:
    `getNestedNodes()`

### createNestedNode

    Node createNestedNode(java.lang.String name)

  Creates a new `Node`, with the specified 'Name', and appends it to the 'Nested Node' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Node`, or `null`.
  Returns:
    The new `Node`.
  See Also:
    `getNestedNodes()`

### getNestedNode

    Node getNestedNode(java.lang.String name)

  Retrieves the first `Node` with the specified 'Name' from the 'Nested Node' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Node` to retrieve, or `null`.
  Returns:
    The first `Node` with the specified 'Name', or `null`.
  See Also:
    `getNestedNodes()`

### getNestedNode

    Node getNestedNode(java.lang.String name,
                       boolean ignoreCase,
                       org.eclipse.emf.ecore.EClass eClass,
                       boolean createOnDemand)

  Retrieves the first `Node` with the specified 'Name' from the 'Nested Node' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Node` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Node` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `Node` on demand if not found.
  Returns:
    The first `Node` with the specified 'Name', or `null`.
  See Also:
    `getNestedNodes()`

### validateInternalStructure

    boolean validateInternalStructure(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

  The internal structure of a Node (if defined) consists solely of parts of type Node. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### createCommunicationPath

    CommunicationPath createCommunicationPath(boolean end1IsNavigable,
                                              AggregationKind end1Aggregation,
                                              java.lang.String end1Name,
                                              int end1Lower,
                                              int end1Upper,
                                              Node end1Node,
                                              boolean end2IsNavigable,
                                              AggregationKind end2Aggregation,
                                              java.lang.String end2Name,
                                              int end2Lower,
                                              int end2Upper)

  Creates a (binary) communication path between this node and the specified other node, with the specified navigabilities, aggregations, names, lower bounds, and upper bounds, and owned by this node's nearest package.

  Parameters:
    `end1IsNavigable` - The navigability for the first end of the new communication path.
    `end1Aggregation` - The aggregation for the first end of the new communication path.
    `end1Name` - The name for the first end of the new communication path.
    `end1Lower` - The lower bound for the first end of the new communication path.
    `end1Upper` - The upper bound for the first end of the new communication path.
    `end1Node` - The type for the first end of the new communication path.
    `end2IsNavigable` - The navigability for the second end of the new communication path.
    `end2Aggregation` - The aggregation for the second end of the new communication path.
    `end2Name` - The name for the second end of the new communication path.
    `end2Lower` - The lower bound for the second end of the new communication path.
    `end2Upper` - The upper bound for the second end of the new communication path.

### getCommunicationPaths

    org.eclipse.emf.common.util.EList<CommunicationPath> getCommunicationPaths()

  Retrieves the communication paths in which this node is involved.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.